/*
Copyright (c) 2007,2007 Elizeu Nogueira da R. Jr.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, 
are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice, 
      this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright notice, 
      this list of conditions and the following disclaimer in the documentation 
      and/or other materials provided with the distribution.
    * Neither the name of the Elizeu Nogueira da R. Jr. nor the names of its 
      contributors may be used to endorse or promote products derived from this 
      software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

package br.com.dreamsource.mobile.jmesql.sql;

/**
 *
 * @author Elizeu Nogueira da Rosa Jr.
 * @version 0.1
 *
 */

public class Types {
    
    public final static int BIT 		=  -7;
    public final static int TINYINT 	=  -6;
    public final static int SMALLINT	=   5;
    public final static int INTEGER 	=   4;
    public final static int BIGINT 		=  -5;
    public final static int FLOAT 		=   6;
    public final static int REAL 		=   7;
    public final static int DOUBLE 		=   8;
    public final static int NUMERIC 	=   2;
    public final static int DECIMAL		=   3;
    public final static int CHAR		=   1;
    public final static int VARCHAR 	=  12;
    public final static int LONGVARCHAR 	=  -1;
    public final static int DATE 		=  91;
    public final static int TIME 		=  92;
    public final static int TIMESTAMP 	=  93;
    public final static int BINARY		=  -2;
    public final static int VARBINARY 	=  -3;
    public final static int LONGVARBINARY 	=  -4;
    public final static int NULL		=   0;
    public final static int OTHER		= 1111;
    public final static int JAVA_OBJECT         = 2000;
    public final static int DISTINCT            = 2001;
    public final static int STRUCT              = 2002;
    public final static int ARRAY               = 2003;
    public final static int BLOB                = 2004;
    public final static int CLOB                = 2005;
    public final static int REF                 = 2006;
    public final static int DATALINK = 70;
    public final static int BOOLEAN = 16;
    private Types() {}
    
}
