package br.com.dreamsource.mobile.worders.forms.core;

import br.com.dreamsource.mobile.worders.WOrders;
import br.com.dreamsource.mobile.components.FormWOrders;
import javax.microedition.lcdui.Choice;
import javax.microedition.lcdui.ChoiceGroup;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Image;

/**
 *
 * @author Elizeu Nogueira da Rosa Jr.
 * @version 0.1
 * @date 20.05.2007
 *
 */

public class Menu extends FormWOrders {
    
    private ChoiceGroup radioGroupInit;
    private String[] radioGroupInitItems;
    private Image[] radioGroupImage;    
    
    public Menu(CommandListener listener, WOrders midlet) {
        super(listener, midlet, "WOrders");
    }
    
    private ChoiceGroup getRadioGroupInit() {
        if (radioGroupInit == null) {
            
            radioGroupInitItems = new String[]{"Inicializar", "Atualizar", "Sincronizar"};
            radioGroupImage = new Image[]{null, null, null};
            
            radioGroupInit = new ChoiceGroup("Opoes", Choice.EXCLUSIVE, 
                    radioGroupInitItems, radioGroupImage);
            radioGroupInit.setSelectedFlags(new boolean[]{true, false, false});
        }
        return radioGroupInit;
    }    
    
    protected void createComponents() {
        this.append(this.getRadioGroupInit());
        this.addCommand(this.getOkCommand());
        this.addCommand(this.getExitCommand());
    }
    
    public void fireCommand(javax.microedition.lcdui.Command command) {
        if (command == okCommand) {
            if (radioGroupInit.getSelectedIndex() == 0) {
                this.sendToForm(this.midlet.getMainMenu());
                this.midlet.destroyForm(this);
            } else
            if (radioGroupInit.getSelectedIndex() == 1) {
//                this.sendToForm(this.midlet.getProduct());
//                this.midlet.destroyForm(this);
            } else
            if (radioGroupInit.getSelectedIndex() == 2) {
//                this.sendToForm(this.midlet.getOrder());
//                this.midlet.destroyForm(this);
            }
        } else 
        if (command == exitCommand) {
            this.midlet.closeApp();
        }
    }
    
}
